Subject: Manure

From: "Rene and Lorraine van Raders" <[email-masked]>
Date: Mon, 13 Apr 1998 20:24:36 -0700

I just thought I'd add a contrary view.. well sort of.
If it were me, in our climate and with my lazy gardening approach, I'd use
it straight away.  I have used fresh manures before without any problems.  
As Guy said if there can be a nitrogen deficiency problem initially (fresh
manure with urine... might not be too deficient), then the nitrogen taken
up by microbes is later released again for plant uptake.  So for perennial
plants there is usually no drama (a slight set back).  This doesn't work so
well for zone 1 veges, but your heap sounded much more than was needed by
your intensive garden.  If using it on our vege garden I'd use small
amounts, and not too close to tender young seedlings (used as a mulch..not
dug in).  Small cautious trials perhaps.

Hope that hasn't confused things for you.

Rene